Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_ImplementationRepository_Administration_list Class Reference

Inheritance diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_list:

[legend]
Collaboration diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_list:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_list (TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, const CORBA::ULong &how_many ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Private Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_list (const TAO_ClientRequestInfo_ImplementationRepository_Administration_list &)
void | operator= (const TAO_ClientRequestInfo_ImplementationRepository_Administration_list &)
## Private Attributes
const CORBA::ULong & | how_many_

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_ImplementationRepository_Administration_list::TAO_ClientRequestInfo_ImplementationRepository_Administration_list | ( | TAO_GIOP_Invocation * | _tao_invocation,
|  | CORBA::Object_ptr | _tao_target,
|  | const CORBA::ULong &how_many | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ClientRequestInfo_ImplementationRepository_Administration_list::TAO_ClientRequestInfo_ImplementationRepository_Administration_list | ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_list & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_ImplementationRepository_Administration_list::arguments | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

Dynamic::ExceptionList * TAO_ClientRequestInfo_ImplementationRepository_Administration_list::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

void TAO_ClientRequestInfo_ImplementationRepository_Administration_list::operator= | ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_list & |  | ) | `[private]`

CORBA::Any * TAO_ClientRequestInfo_ImplementationRepository_Administration_list::result | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

## Member Data Documentation

const CORBA::ULong& TAO_ClientRequestInfo_ImplementationRepository_Administration_list::how_many_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.cpp